function [response, correct] = GenRecall(list, probedpos)
% recalls and carries out response-suppression and output interference

global M
global P

cuevector = M.cue(M.position,:);
M.wm = cuevector*M.w;
[response, responsevector] = GenLucerecall;  % retrieved item position selected using Luce choice rule
correct = response == list(probedpos); 
GenRemoval(M.position, responsevector);      %response suppression by removing recalled item from weight matrix
M.w = M.w + randn(size(M.w)).*P.nsubo;       %output interference