function learnrate = GenEncoding(stimvector, encduration)
%always associates the position marker of M.position to the stimvector

global P
global M

cuevector = M.cue(M.position,:);
e = GenEnergy(M.position, stimvector);
Asymptote = logist(e, P.tau, P.gain); 
learnrate = Asymptote * (1-exp(-encduration * P.rate));
M.w = M.w + learnrate * (cuevector' * stimvector); 




