function GenRemoval(position, removevector)
%generic removal function for distractor removal and response suppression

global M
global P

if nargin < 4, itemdistractor = 1; end  %per default assume it is an item that is removed

e = GenEnergy(position, removevector);

F = fieldnames(M);
%if (itemdistractor == 1 && position == 1) || (itemdistractor == 2 && position == 1 && M.opnumber == 1)  %if it is the first item recalled, or the first distractor in the first burst removed
if isempty(find(strcmp(F, 'esub1')))
     M.esub1 = e;
     strength = 1; 
else
     strength = logist(e/M.esub1); 
end
M.w = M.w - strength * M.cue(position,:)'* removevector;

